read(fd int, buffer *byte, length int) -> int {
	return syscall(n.read, fd, buffer, length)
}

write(fd int, buffer *byte, length int) -> int {
	return syscall(n.write, fd, buffer, length)
}

mmap(address int, length uint, protection int, flags int) -> *any {
	return syscall(n.mmap, address, length, protection, flags)
}

munmap(address *any, length uint) -> int {
	return syscall(n.munmap, address, length)
}

open(path *any, flags int, mode int) -> int {
	return syscall(n.openat, -100, path, flags, mode)
}

close(fd int) -> int {
	return syscall(n.close, fd)
}

stat(path *any, stat *file_stat) -> int {
	return syscall(n.newfstatat, -100, path, stat, 0)
}

clone(flags uint, stack *any, parent *int, child *int, tls uint) -> int {
	return syscall(n.clone, flags, stack, parent, child, tls)
}

execve(path *any, argv *any, envp *any) -> int {
	return syscall(n.execve, path, argv, envp)
}

exit(status int) {
	syscall(n.exit, status)
}

waitid(type int, id int, info *any, options int) -> int {
	return syscall(n.waitid, type, id, info, options)
}

socket(family int, type int, protocol int) -> int {
	return syscall(n.socket, family, type, protocol)
}

accept(fd int, address *any, length int) -> int {
	return syscall(n.accept, fd, address, length)
}

bind(fd int, address *sockaddr_in, length int) -> int {
	return syscall(n.bind, fd, address, length)
}

listen(fd int, backlog int) -> int {
	return syscall(n.listen, fd, backlog)
}

setsockopt(fd int, level int, optname int, optval *any, optlen int) -> int {
	return syscall(n.setsockopt, fd, level, optname, optval, optlen)
}

getcwd(buffer *any, length int) -> int {
	return syscall(n.getcwd, buffer, length)
}

chdir(path *any) -> int {
	return syscall(n.chdir, path)
}

rename(old *any, new *any) -> int {
	return syscall(n.renameat, -100, old, -100, new)
}

mkdir(path *any, mode int) -> int {
	return syscall(n.mkdirat, -100, path, mode)
}

rmdir(path *any) -> int {
	return syscall(n.unlinkat, -100, path, 0x200)
}

unlink(file *any) -> int {
	return syscall(n.unlinkat, -100, file, 0)
}

nanosleep(duration *timespec) -> int {
	return syscall(n.nanosleep, duration, 0)
}